package com.tourism.webadmin.app.website.service;


import com.tourism.common.core.object.MyPageData;
import com.tourism.webadmin.app.website.vo.HouseFilterListsVo;
import com.tourism.webadmin.app.website.vo.HouseSaleDetailsVo;
import com.tourism.webadmin.back.model.TourHouseSaleInfo;
import com.tourism.webadmin.back.vo.TourHoeseKnowledgeInfoVo;
import com.tourism.webadmin.back.vo.TourHouseSaleInfoVo;

import java.util.List;
import java.util.Map;

public interface HouseSaleService {


    HouseFilterListsVo getHouseFilterLists() throws Exception;

    HouseSaleDetailsVo getHousingDetailsById(Long id);

    Map<String, List<TourHoeseKnowledgeInfoVo>> getHouseKnowLedgeList();

    MyPageData<TourHouseSaleInfoVo> getHouseListAfterFilter(TourHouseSaleInfo filter,String order);

    List<TourHouseSaleInfoVo> viewNewHouseList();
}
